--- a/scripts/get-version.sh
+++ b/scripts/get-version.sh
@@ -6,7 +6,9 @@
 if [ -s "$ROOT/../version.txt" ]; then
     VERSION=$(tr -d '[:space:]' < "$ROOT/../version.txt")
 fi
-if [ -z "$VERSION" ] && [ -d "$ROOT/../.git" ]; then
+if [ -f "$ROOT/../debian/changelog" ] && [ -f "$ROOT/../debian/control" ]; then
+    VERSION="$(cd "$ROOT/../" && dpkg-parsechangelog -S Version).debian"
+elif [ -z "$VERSION" ] && [ -d "$ROOT/../.git" ]; then
     TAG=$(git tag --points-at HEAD | sed 's/v//')
     if [ "$1" == "--tar" ]; then
         VERSION=$(git describe --dirty --tags --always | sed 's/debian\///g')
